#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	augeas
Version		:	1.11.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A library for changing configuration files
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://augeas.net/
			#http://download.augeas.net

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuilDRequires	:	readline
BuilDRequires	:	libxml2
#-----------------------------------------------------------------------------
%description
 library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%prep
%setup -q


%build
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/aug*
%{_bindir}/fadot*
%{_includedir}/%{name}.h
%{_includedir}/fa.h
%{_libdir}/lib%{name}.so*
%{_libdir}/libfa.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/lenses/*
%{_datadir}/vim/vimfiles/*/*.vim
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
